Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ssaglobal.generator.genctl.impl
Class AppliesToImpl

    java.lang.Object
      org.eclipse.emf.common.notify.impl.BasicNotifierImpl
          org.eclipse.emf.ecore.impl.BasicEObjectImpl
              org.eclipse.emf.ecore.impl.EObjectImpl
                  com.ssaglobal.generator.genctl.impl.AppliesToImpl

All Implemented Interfaces:
  AppliesTo, org.eclipse.emf.common.notify.Notifier, org.eclipse.emf.ecore.EObject, org.eclipse.emf.ecore.InternalEObject

    public class AppliesToImpl

extends org.eclipse.emf.ecore.impl.EObjectImpl
implements AppliesTo

An implementation of the model object 'Applies To'.

The following features are implemented:

- `Class Name`
- `Applies To Subclasses`

Nested Class Summary

Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl
`org.eclipse.emf.ecore.impl.BasicEObjectImpl.EPropertiesHolder, org.eclipse.emf.ecore.impl.BasicEObjectImpl.EPropertiesHolderBaseImpl, org.eclipse.emf.ecore.impl.BasicEObjectImpl.EPropertiesHolderImpl`

Nested classes/interfaces inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EAdapterList<E extends java.lang.Object & org.eclipse.emf.common.notify.Adapter>`

Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.InternalEObject
`org.eclipse.emf.ecore.InternalEObject.EStore`

Field Summary
`protected static boolean` | `APPLIES_TO_SUBCLASSES_EDEFAULT` The default value of the '`Applies To Subclasses`' attribute
`protected java.lang.Class` | `appliesToClass`
`protected boolean` | `appliesToSubclasses` The cached value of the '`Applies To Subclasses`' attribute
`protected boolean` | `appliesToSubclassesESet` This is true if the Applies To Subclasses attribute has been set
`protected static java.lang.String` | `CLASS_NAME_EDEFAULT` The default value of the '`Class Name`' attribute
`protected java.lang.String` | `className` The cached value of the '`Class Name`' attribute

Fields inherited from class org.eclipse.emf.ecore.impl.EObjectImpl
`eAdapters, eContainer, eContainerFeatureID, EDELIVER, EDYNAMIC_CLASS, eFlags, ELAST_EOBJECT_FLAG, ELAST_NOTIFIER_FLAG, eProperties, EPROXY`

Fields inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl
`EVIRTUAL_GET, EVIRTUAL_IS_SET, EVIRTUAL_NO_VALUE, EVIRTUAL_SET, EVIRTUAL_UNSET`

Fields inherited from interface org.eclipse.emf.ecore.InternalEObject
`EOPPOSITE_FEATURE_BASE`

Constructor Summary
`protected` | `AppliesToImpl()`

Method Summary
`java.lang.Object` | `eGet(org.eclipse.emf.ecore.EStructuralFeature eFeature, boolean resolve)`
`boolean` | `eIsSet(org.eclipse.emf.ecore.EStructuralFeature eFeature)`
`void` | `eSet(org.eclipse.emf.ecore.EStructuralFeature eFeature, java.lang.Object newValue)`
`protected org.eclipse.emf.ecore.EClass` | `eStaticClass()`
`void` | `eUnset(org.eclipse.emf.ecore.EStructuralFeature eFeature)`
`java.lang.Class` | `getAppliesToClass()`
`java.lang.String` | `getClassName()`
`boolean` | `isAppliesToSubclasses()`
`boolean` | `isSetAppliesToSubclasses()`
`void` | `setAppliesToClass(java.lang.Class appliesToClass)`
`void` | `setAppliesToSubclasses(boolean newAppliesToSubclasses)`
`void` | `setClassName(java.lang.String newClassName)`
`java.lang.String` | `toString()`
`void` | `unsetAppliesToSubclasses()`

Methods inherited from class org.eclipse.emf.ecore.impl.EObjectImpl
`eAdapters, eBasicAdapters, eBasicProperties, eBasicSetContainer, eClass, eContainerFeatureID, eDeliver, eInternalContainer, eIsProxy, eProperties, eSetClass, eSetDeliver, eSetProxyURI`

Methods inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl
`eAddVirtualValue, eAllContents, eBaseStructuralFeatureID, eBasicRemoveFromContainer, eBasicRemoveFromContainerFeature, eBasicSetContainer, eComputeVirtualValuesCapacity, eContainer, eContainerAdapterArray, eContainingFeature, eContainmentFeature, eContainmentFeature, eContains, eContents, eCrossReferences, eDerivedStructuralFeatureID, eDerivedStructuralFeatureID, eDirectResource, eDynamicBasicRemoveFromContainer, eDynamicClass, eDynamicFeature, eDynamicFeatureID, eDynamicGet, eDynamicGet, eDynamicGet, eDynamicInverseAdd, eDynamicInverseAdd, eDynamicInverseRemove, eDynamicInverseRemove, eDynamicIsSet, eDynamicIsSet, eDynamicIsSet, eDynamicSet, eDynamicSet, eDynamicSet, eDynamicUnset, eDynamicUnset, eDynamicUnset, eGet, eGet, eGet, eHasSettings, eInternalResource, eInverseAdd, eInverseAdd, eInverseRemove, eInverseRemove, eIsSet, eObjectForURIFragmentSegment, eOpenGet, eOpenIsSet, eOpenSet, eOpenUnset, eProxyURI, eRemoveVirtualValue, eResolveProxy, eResource, eSet, eSetDirectResource, eSetResource, eSetStore, eSetting, eSettingDelegate, eSettings, eSetVirtualIndexBits, eSetVirtualValue, eSetVirtualValues, eStaticFeatureCount, eStore, eUnset, eURIFragmentSegment, eVirtualBitCount, eVirtualGet, eVirtualGet, eVirtualIndex, eVirtualIndexBits, eVirtualIsSet, eVirtualSet, eVirtualUnset, eVirtualValue, eVirtualValues`

Methods inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`eBasicAdapterArray, eBasicHasAdapters, eNotificationRequired, eNotify`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eIsProxy, eResource`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Methods inherited from interface org.eclipse.emf.ecore.InternalEObject
`eNotificationRequired`

Field Detail

### CLASS_NAME_EDEFAULT

    protected static final java.lang.String CLASS_NAME_EDEFAULT

  The default value of the '`Class Name`' attribute.

  See Also:
    `getClassName()`

### className

    protected java.lang.String className

  The cached value of the '`Class Name`' attribute.

  See Also:
    `getClassName()`

### APPLIES_TO_SUBCLASSES_EDEFAULT

    protected static final boolean APPLIES_TO_SUBCLASSES_EDEFAULT

  The default value of the '`Applies To Subclasses`' attribute.

  See Also:
    `isAppliesToSubclasses()`, Constant Field Values

### appliesToSubclasses

    protected boolean appliesToSubclasses

  The cached value of the '`Applies To Subclasses`' attribute.

  See Also:
    `isAppliesToSubclasses()`

### appliesToSubclassesESet

    protected boolean appliesToSubclassesESet

  This is true if the Applies To Subclasses attribute has been set.

### appliesToClass

    protected java.lang.Class appliesToClass

Constructor Detail

### AppliesToImpl

    protected AppliesToImpl()

Method Detail

### eStaticClass

    protected org.eclipse.emf.ecore.EClass eStaticClass()

  Overrides:
    `eStaticClass` in class `org.eclipse.emf.ecore.impl.EObjectImpl`

### getClassName

    public java.lang.String getClassName()

  Specified by:
    `getClassName` in interface `AppliesTo`
  Returns:
    the value of the 'Class Name' attribute.
  See Also:
    `AppliesTo.setClassName(String)`, `GenctlPackage.getAppliesTo_ClassName()`

### setClassName

    public void setClassName(java.lang.String newClassName)

  Specified by:
    `setClassName` in interface `AppliesTo`
  Parameters:
    `newClassName` - the new value of the 'Class Name' attribute.
  See Also:
    `AppliesTo.getClassName()`

### isAppliesToSubclasses

    public boolean isAppliesToSubclasses()

  Specified by:
    `isAppliesToSubclasses` in interface `AppliesTo`
  Returns:
    the value of the 'Applies To Subclasses' attribute.
  See Also:
    `AppliesTo.isSetAppliesToSubclasses()`, `AppliesTo.unsetAppliesToSubclasses()`, `AppliesTo.setAppliesToSubclasses(boolean)`, `GenctlPackage.getAppliesTo_AppliesToSubclasses()`

### setAppliesToSubclasses

    public void setAppliesToSubclasses(boolean newAppliesToSubclasses)

  Specified by:
    `setAppliesToSubclasses` in interface `AppliesTo`
  Parameters:
    `newAppliesToSubclasses` - the new value of the 'Applies To Subclasses' attribute.
  See Also:
    `AppliesTo.isSetAppliesToSubclasses()`, `AppliesTo.unsetAppliesToSubclasses()`, `AppliesTo.isAppliesToSubclasses()`

### unsetAppliesToSubclasses

    public void unsetAppliesToSubclasses()

  Specified by:
    `unsetAppliesToSubclasses` in interface `AppliesTo`
  See Also:
    `AppliesTo.isSetAppliesToSubclasses()`, `AppliesTo.isAppliesToSubclasses()`, `AppliesTo.setAppliesToSubclasses(boolean)`

### isSetAppliesToSubclasses

    public boolean isSetAppliesToSubclasses()

  Specified by:
    `isSetAppliesToSubclasses` in interface `AppliesTo`
  Returns:
    whether the value of the 'Applies To Subclasses' attribute is set.
  See Also:
    `AppliesTo.unsetAppliesToSubclasses()`, `AppliesTo.isAppliesToSubclasses()`, `AppliesTo.setAppliesToSubclasses(boolean)`

### eGet

    public java.lang.Object eGet(org.eclipse.emf.ecore.EStructuralFeature eFeature,
                                 boolean resolve)

  Specified by:
    `eGet` in interface `org.eclipse.emf.ecore.EObject`
  Overrides:
    `eGet` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

### eSet

    public void eSet(org.eclipse.emf.ecore.EStructuralFeature eFeature,
                     java.lang.Object newValue)

  Specified by:
    `eSet` in interface `org.eclipse.emf.ecore.EObject`
  Overrides:
    `eSet` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

### eUnset

    public void eUnset(org.eclipse.emf.ecore.EStructuralFeature eFeature)

  Specified by:
    `eUnset` in interface `org.eclipse.emf.ecore.EObject`
  Overrides:
    `eUnset` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

### eIsSet

    public boolean eIsSet(org.eclipse.emf.ecore.EStructuralFeature eFeature)

  Specified by:
    `eIsSet` in interface `org.eclipse.emf.ecore.EObject`
  Overrides:
    `eIsSet` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

### getAppliesToClass

    public java.lang.Class getAppliesToClass()

  Specified by:
    `getAppliesToClass` in interface `AppliesTo`

### setAppliesToClass

    public void setAppliesToClass(java.lang.Class appliesToClass)

  Specified by:
    `setAppliesToClass` in interface `AppliesTo`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD